Orangutan - Enhancement #960

Support for non-LDAP usernames
08 Oct 2010 16:18 - Andriy Lesyuk

Status: Closed Start date: 22 Jan 2011
Priority: Major Due date: 24 Feb 2011
Assignee: Andriy Lesyuk % Done: 100%
Category: Configuration Estimated time: 0.00 hour
Target version: 1.05

Description

Currently Orangutan assumes that Jabber username is identical to Redmine username. It can do this way because in Softjourn we
are using LDAP. But this makes Orangutan unusable outside Softjourn.

| see two methods to support non-LDAP usernames:

1. Create a context responsible for asking Redmine username. This context (or helper context) would need also to ask password
what does not seem to be good. Another way is to do like in Messenger - to create special Redmine plugin (extend current)
which will generate passkey which then should be sent through Jabber.

2. Extract Redmine username from database. Assuming Jabber ID is stored somewhere in Redmine database. We can use it to
get Redmine username. If Jabber ID is not specified - user cannot use Orangutan! If Jabber ID is not currently supported in
Redmine we can add such field and create special Redmine plugin (extend current) to support it.

Related issues:

Related to Orangutan - Improvement #862: Support user first and last name in ... Open
Related to Orangutan - Improvement #1233: Use first name and last name instea... Closed 17 Nov 2010 27 Jan 2011
History

#1 - 08 Oct 2010 20:45 - Andriy Lesyuk
- Start date deleted (08 Oct 2010)

#2 - 15 Oct 2010 18:34 - Andriy Lesyuk

- Target version changed from 1.04 to 1.05

#3 - 15 Oct 2010 21:26 - Andriy Lesyuk

- Priority changed from Minor to Major

Already two external users asked me for help with Orangutan. | guess this issue becomes more critical...

#4 - 26 Oct 2010 19:40 - Andriy Lesyuk

A nice suggestion from one of potential Orangutan clients...
Carmen De Vito:

The next step would then be to decouple the relationship between LDAP and IM names. Maybe we can perform IM username lookups via a
custom field or with the user's email address.

#5 - 23 Jan 2011 00:28 - Andriy Lesyuk

Some kind of checklist:
e Store redmine user login in Orangutan::User as new member login [DONE];
¢ Use special function GetLogin to fetch Redmine user login when comparing (search for $user->GetJabberUserID) [DONE];

¢ Use special function (e.g?. Qranﬁutan::User::GetDispIa Name) to display just login, first and last name or JID (use login@hostname if jabber field
~is disabled) instead of Togin@hostname (search for mam::conflg->Getg'Jabber', ‘hostname')) [DONE].

' New special field holding user’s Jabber ID is to be called jabber.

#6 - 23 Jan 2011 00:30 - Andriy Lesyuk
- Start date set to 22 Jan 2011

- Status changed from Open to In Progress

#7 - 23 Jan 2011 22:37 - Andriy Lesyuk
- % Done changed from 0 to 30

#8 - 24 Jan 2011 16:15 - Andriy Lesyuk
- % Done changed from 30 to 60

#9 - 24 Jan 2011 19:11 - Andriy Lesyuk

Done everything mentioned above!.. But some new issues appeared:

e Should check all occurances of GetUser() function and possibly replace with GetUserLogin() [DONE];

¢ When in requests username does not contain @hostname Orangutan adds hostname by itself - should assume that this is login (right?)! All such
places marked with FIXME;

¢ Should also check all occurances of UserExists;

Check all places where login is used (mostly in Orangutan::Query).

#10 - 25 Jan 2011 13:36 - Andriy Lesyuk

Done everything mentioned above!.. But some new issues appeared:

e Should check all occurances of GetUser() function and possibly replace with GetUserLogin() [DONE];

e When in requests username does not contain @hostname Orangutan adds hostname by itself - should assume that this is login (right?)! All such
places marked with FIXME [DONE];

e Should also check all occurances of UserExists [DONE];

Check all places where login is used (only Orangutan::Query left) [DONE];

Fix all FIXMEs (this way | marked potential problems)...

P.S. Weird... But | could not update above note!..

#11 - 25 Jan 2011 20:36 - Andriy Lesyuk
- % Done changed from 60 to 100

Seems to be done... But how to test?!..

#12 - 09 Feb 2011 22:05 - Andriy Lesyuk
- Status changed from In Progress to Closed

#13 - 24 Feb 2011 19:47 - Andriy Lesyuk
- Due date set to 24 Feb 2011
